Collect Orders

Fetch Statement of your InstantPay Collect Orders that you have linked with your InstantPay account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeString1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

ParametersTypeMandatory (M) , Optional(O)Description
bankProfileIdStringM0 (Fixed)
accountNumberStringMAccount number
paginationArrayMDetails of pagination
pagination.pageNumberStringMCurrent Page Number
pagination.recordsPerPageStringMNumber of Details per Page
filtersArrayMDetails of filters
filters.txnDateFromStringMFrom Date (YYYY-MM-DD)
filters.txnDateToStringMTo Date (YYYY-MM-DD)
isOrderbooleanMIt will be True

Sample Request

curl --location --request POST 'https://api.instantpay.in/reports/statement' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "bankProfileId" : "0",
    "accountNumber" : "7428585742",
    "pagination" : {
        "pageNumber" : 1,
        "recordsPerPage" : 20
    },
    "filters": {
        "txnDateFrom": "2022-04-26",
        "txnDateTo": "2022-04-26"
    },
    "isOrder" : true
}'
POST /reports/statement HTTP/1.1                
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "bankProfileId" : "0",
    "accountNumber" : "7428585742",
    "pagination" : {
        "pageNumber" : 1,
        "recordsPerPage" : 20
    },
    "filters" : {
        "fromDate": "2022-04-28",
        "toDate": "2022-04-29"
    },
    "isOrder" : true
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
  "statuscode": "TXN",
  "actcode": null,
  "status": "Transaction Successful",
  "data": {
    "meta": {
      "totalPages": 1,
      "currentPage": 1,
      "totalRecords": 2,
      "recordsOnCurrentPage": 0,
      "recordFrom": 0,
      "recordTo": 0
    },
    "records": [
      {
        "status": "SUCCESS",
        "txnDateTime": "2022-04-28 17:16:47",
        "ipayOrderId": "12****************QV",
        "clientOrderId": "99**********39",
        "transactionId": "13********56",
        "settlementIpayOrderId": "1220********QBQV",
        "productCode": "RJP",
        "productName": "Reliance Jio",
        "subProductCode": "ALL",
        "subProductName": null,
        "txnMode": "DR",
        "txnChargedValue": "19.79",
        "orderValue": "20.00",
        "convenienceFee": "0.00",
        "txnSurcharge": "0.0000",
        "txnCashback": "0.2200",
        "txnTds": "0.0110",
        "narrationValue0": "70******49",
        "narrationValue1": "",
        "narrationValue2": "",
        "narrationValue3": "",
        "narrationValue4": "",
        "narrationValue5": "",
        "narrationValue6": "",
        "narrationValue7": "",
        "narrationValue8": "CASH",
        "narrationValue9": "13.0414,80.2520|600018",
        "responseCode": "TXN",
        "responseMsg": "Transaction Successful"
      },
      {
        "status": "SUCCESS",
        "txnDateTime": "2022-04-28 17:15:39",
        "ipayOrderId": "122***************LXF",
        "clientOrderId": "999***********330",
        "transactionId": "13**********64",
        "settlementIpayOrderId": "",
        "productCode": "RJP",
        "productName": "Reliance Jio",
        "subProductCode": "ALL",
        "subProductName": null,
        "txnMode": "DR",
        "txnChargedValue": "19.79",
        "orderValue": "20.00",
        "convenienceFee": "0.00",
        "txnSurcharge": "0.0000",
        "txnCashback": "0.2200",
        "txnTds": "0.0110",
        "narrationValue0": "70*********71",
        "narrationValue1": "",
        "narrationValue2": "",
        "narrationValue3": "",
        "narrationValue4": "",
        "narrationValue5": "",
        "narrationValue6": "",
        "narrationValue7": "",
        "narrationValue8": "CASH",
        "narrationValue9": "13.0414,80.2520|600018",
        "responseCode": "TXN",
        "responseMsg": "Transaction Successful"
      }
    ]
  },
  "timestamp": "2022-04-29 14:58:48",
  "ipay_uuid": "h00596*******-cd7c-4e36-****-1483cdc7ec4c",
  "orderid": null,
  "environment": "LIVE",
  "internalCode": null

}
Body Params
string
required
Defaults to 0
string
required

Linked Current Account Number

string
required

Unique Transaction Id

pagination
object

Details of pagination

filters
object

Details of filters

Headers
string
Defaults to 1
string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Customer Ip Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json